%{?scl:%scl_package felix-scr-maven-plugin}
%{!?scl:%global pkg_name %{name}}

%global artifactId maven-scr-plugin

%if 0%{?rhel}
# Use java common's requires/provides generator
%{?java_common_find_provides_and_requires}
%endif%

Name:           %{?scl_prefix}felix-scr-maven-plugin
Version:        1.21.0
Release:        9%{?dist}
Summary:        Apache Felix Maven SCR Plugin
License:        ASL 2.0
URL:            http://felix.apache.org/documentation/subprojects/apache-felix-maven-scr-plugin.html
BuildArch:      noarch

Source0:        http://www.apache.org/dist/felix/%{artifactId}-%{version}-source-release.tar.gz

BuildRequires:  %{?scl_prefix_java_common}maven-local

BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.felix:felix-parent:pom:)
BuildRequires:  %{?scl_prefix}mvn(org.apache.felix:org.apache.felix.scr.generator) >= 1.12.0
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-archiver)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven:maven-plugin-api)
BuildRequires:  %{?scl_prefix_maven}mvn(org.apache.maven.plugins:maven-plugin-plugin)
BuildRequires:  %{?scl_prefix_maven}mvn(org.sonatype.plexus:plexus-build-api)

BuildRequires:  %{?scl_prefix}mvn(org.mockito:mockito-all)

%description
Maven plugin for generating OSGi Declarative Services annotations

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%setup -q -n %{artifactId}-%{version}

%pom_remove_plugin :maven-invoker-plugin
%{?scl:EOF}

%build
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_build
%{?scl:EOF}

%install
%{?scl:scl enable %{scl_maven} %{scl} - << "EOF"}
%mvn_install
%{?scl:EOF}

%files -f .mfiles
%doc changelog.txt

%if 0%{?rhel} <= 6
 %doc LICENSE NOTICE
%else
 %license LICENSE NOTICE
%endif

%files javadoc -f .mfiles-javadoc
%if 0%{?rhel} <= 6
 %doc LICENSE NOTICE
%else
 %license LICENSE NOTICE
%endif

%changelog
* Fri Jul 13 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Mon Feb 13 2017 Severin Gehwolf <sgehwolf@redhat.com> - 1.21.0-6
- Add maven-plugin-plugin BR.

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.21.0-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Sep 16 2015 Jie Kang <jkang@redhat.com> - 1.21.0-3
- SCL-ize package

* Fri Jun 12 2015 Jie Kang <jkang@redhat.com> - 1.21.0-2
- Changed package name to felix-scr-maven-plugin
- Removed unneeded BuildRequires/Requires
- Use source-release tarball
- Use minimal version 1.12.0 for felix-scr-generator 

* Mon May 25 2015 Jie Kang <jkang@redhat.com> - 1.21.0-1
- Initial package
